jQuery(document).ready(function(){
	
	if(jQuery('#last_tab').val() == ''){

		jQuery('.MHGOZ-opts-group-tab:first').slideDown('fast');
		jQuery('#MHGOZ-opts-group-menu li:first').addClass('active');
	
	}else{
		
		tabid = jQuery('#last_tab').val();
		jQuery('#'+tabid+'_section_group').slideDown('fast');
		jQuery('#'+tabid+'_section_group_li').addClass('active');
		
	}
	
	
	
	jQuery('.MHGOZ-opts-group-tab-link-a').click(function(){
		relid = jQuery(this).attr('data-rel');
		
		jQuery('#last_tab').val(relid);
		
		jQuery('.MHGOZ-opts-group-tab').each(function(){
			if(jQuery(this).attr('id') == relid+'_section_group'){
				jQuery(this).delay(400).fadeIn(1200);
			}else{
				jQuery(this).fadeOut('fast');
			}
			
		});
		
		jQuery('.MHGOZ-opts-group-tab-link-li').each(function(){
				if(jQuery(this).attr('id') != relid+'_section_group_li' && jQuery(this).hasClass('active')){
					jQuery(this).removeClass('active');
				}
				if(jQuery(this).attr('id') == relid+'_section_group_li'){
					jQuery(this).addClass('active');
				}
		});
	});
	
	
	
	
	if(jQuery('#MHGOZ-opts-save').is(':visible')){
		jQuery('#MHGOZ-opts-save').delay(4000).slideUp('slow');
	}
	
	if(jQuery('#MHGOZ-opts-imported').is(':visible')){
		jQuery('#MHGOZ-opts-imported').delay(4000).slideUp('slow');
	}	
	
	jQuery('input, textarea, select').change(function(){
		jQuery('#MHGOZ-opts-save-warn').slideDown('slow');
	});
	
	
	jQuery('#MHGOZ-opts-import-code-button').click(function(){
		if(jQuery('#MHGOZ-opts-import-link-wrapper').is(':visible')){
			jQuery('#MHGOZ-opts-import-link-wrapper').fadeOut('fast');
			jQuery('#import-link-value').val('');
		}
		jQuery('#MHGOZ-opts-import-code-wrapper').fadeIn('slow');
	});
	
	jQuery('#MHGOZ-opts-import-link-button').click(function(){
		if(jQuery('#MHGOZ-opts-import-code-wrapper').is(':visible')){
			jQuery('#MHGOZ-opts-import-code-wrapper').fadeOut('fast');
			jQuery('#import-code-value').val('');
		}
		jQuery('#MHGOZ-opts-import-link-wrapper').fadeIn('slow');
	});
	
	
	
	
	jQuery('#MHGOZ-opts-export-code-copy').click(function(){
		if(jQuery('#MHGOZ-opts-export-link-value').is(':visible')){jQuery('#MHGOZ-opts-export-link-value').fadeOut('slow');}
		jQuery('#MHGOZ-opts-export-code').toggle('fade');
	});
	
	jQuery('#MHGOZ-opts-export-link').click(function(){
		if(jQuery('#MHGOZ-opts-export-code').is(':visible')){jQuery('#MHGOZ-opts-export-code').fadeOut('slow');}
		jQuery('#MHGOZ-opts-export-link-value').toggle('fade');
	});
	
	

	
	
	
});

jQuery(document).ready(function(){


jQuery('.explain').tipsy({gravity: 'w'});
jQuery('.site-url-links a').tipsy({gravity: 'ne'});
jQuery('#MHGOZ-opts-share a').tipsy({gravity: 'n'});


// == || Custom Show And Hide Options || == // 

// 1. Custome Page Options ..
//
//jQuery('#custom_site_background').click(function() {
//  		jQuery('#0_section_group table.form-table  tr:eq(3),#0_section_group table.form-table  tr:eq(4),#0_section_group table.form-table  tr:eq(5), #0_section_group table.form-table  tr:eq(6)').fadeToggle(400);
//	});
//	
//	if (jQuery('#custom_site_background:checked').val() !== undefined) {
//	jQuery('#0_section_group table.form-table  tr:eq(3),#0_section_group table.form-table  tr:eq(4),#0_section_group table.form-table  tr:eq(5),#0_section_group table.form-table  tr:eq(6)').show();
//	}else{
//	jQuery('#0_section_group table.form-table  tr:eq(3),#0_section_group table.form-table  tr:eq(4),#0_section_group table.form-table  tr:eq(5),#0_section_group table.form-table  tr:eq(6)').hide();
//	}





// 2.Custome For ADS

  // ad top header ..
jQuery('#checkbox_advanced_ad_header').click(function() {
  		jQuery('#3_section_group table.form-table tr:eq(3),#3_section_group table.form-table tr:eq(4),#3_section_group table.form-table tr:eq(5)').fadeToggle(400);
	});
	
	if (jQuery('#checkbox_advanced_ad_header:checked').val() !== undefined) {
	jQuery('#3_section_group table.form-table tr:eq(3),#3_section_group table.form-table tr:eq(4),#3_section_group table.form-table tr:eq(5)').show();
	}else{
	jQuery('#3_section_group table.form-table tr:eq(3),#3_section_group table.form-table tr:eq(4),#3_section_group table.form-table tr:eq(5)').hide();
	}

jQuery('#3_section_group table.form-table tr:eq(1) th').addClass('displaynone')

  // after gallery ads ..
jQuery('#checkbox_advanced_ad_gallery').click(function() {
  		jQuery('#3_section_group table.form-table tr:eq(14),#3_section_group table.form-table tr:eq(12),#3_section_group table.form-table tr:eq(13)').fadeToggle(400);
	});
	
	if (jQuery('#checkbox_advanced_ad_gallery:checked').val() !== undefined) {
	jQuery('#3_section_group table.form-table tr:eq(14),#3_section_group table.form-table tr:eq(12),#3_section_group table.form-table tr:eq(13)').show();
	}else{
	jQuery('#3_section_group table.form-table tr:eq(14),#3_section_group table.form-table tr:eq(12),#3_section_group table.form-table tr:eq(13)').hide();
	}

jQuery('#3_section_group table.form-table tr:eq(10) th').addClass('displaynone')
  
	
	
	
	

});